> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List ArgoCD instance mappings for an organization

> Returns one entry per ArgoCD agent cluster that has credentials configured.
Each entry lists linked clusters and unlinked clusters. Requires VIEWER role.




## OpenAPI

````yaml /api-reference/openapi.yaml get /organization/{organizationId}/argoCdDestinationClusterMapping
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Secret Manager Access
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /organization/{organizationId}/argoCdDestinationClusterMapping:
    get:
      tags:
        - ArgoCD
      summary: List ArgoCD instance mappings for an organization
      description: >
        Returns one entry per ArgoCD agent cluster that has credentials
        configured.

        Each entry lists linked clusters and unlinked clusters. Requires VIEWER
        role.
      operationId: listArgoCdDestinationClusterMappings
      parameters:
        - $ref: '#/components/parameters/organizationId'
      responses:
        '200':
          description: ArgoCD instance mapping list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArgoCdInstanceMappingResponseList'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    organizationId:
      name: organizationId
      in: path
      description: Organization ID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    ArgoCdInstanceMappingResponseList:
      type: object
      required:
        - results
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/ArgoCdInstanceMappingResponse'
    ArgoCdInstanceMappingResponse:
      type: object
      required:
        - agent_cluster_id
        - agent_cluster_name
        - agent_cluster_cloud_provider
        - credentials_id
        - argocd_url
        - status
        - last_checked_at
        - linked_clusters
        - unlinked_clusters
      properties:
        agent_cluster_id:
          type: string
          format: uuid
          description: ID of the Qovery cluster where the ArgoCD instance is running
        agent_cluster_name:
          type: string
          description: >-
            Display name of the Qovery cluster where the ArgoCD instance is
            running
          example: My Agent Cluster
        agent_cluster_cloud_provider:
          $ref: '#/components/schemas/CloudVendorEnum'
        credentials_id:
          type: string
          format: uuid
          description: ID of the stored ArgoCD credentials for this instance
        argocd_url:
          type: string
          description: URL of the ArgoCD instance
          example: https://argocd.example.com
        status:
          $ref: '#/components/schemas/ArgoCdConnectionStatusEnum'
        last_checked_at:
          type: string
          format: date-time
          description: >-
            Timestamp of the last configuration update (will use last
            connectivity check in future)
        linked_clusters:
          type: array
          description: ArgoCD clusters detected and mapped to a Qovery cluster
          items:
            $ref: '#/components/schemas/ArgoCdLinkedClusterDetails'
        unlinked_clusters:
          type: array
          description: ArgoCD clusters detected but mapping is missing
          items:
            $ref: '#/components/schemas/ArgoCdUnlinkedClusterDetails'
    CloudVendorEnum:
      type: string
      enum:
        - AWS
        - SCW
        - GCP
        - DO
        - AZURE
        - OVH
        - CIVO
        - HETZNER
        - ORACLE
        - IBM
        - ON_PREMISE
    ArgoCdConnectionStatusEnum:
      type: string
      description: Connection status of an ArgoCD instance
      enum:
        - connected
        - error
      example: connected
    ArgoCdLinkedClusterDetails:
      type: object
      required:
        - argocd_cluster_url
        - argocd_cluster_name
        - qovery_cluster_id
        - qovery_cluster_name
        - qovery_cluster_cloud_provider
        - qovery_cluster_type
        - applications_count
      properties:
        argocd_cluster_url:
          type: string
          description: ArgoCD destination cluster URL
          example: https://kubernetes.default.svc
        argocd_cluster_name:
          type: string
          description: >-
            ArgoCD cluster name (currently same as URL; will use ArgoCD alias in
            future)
          example: https://kubernetes.default.svc
        qovery_cluster_id:
          type: string
          format: uuid
          description: ID of the Qovery cluster this destination is mapped to
        qovery_cluster_name:
          type: string
          description: Display name of the mapped Qovery cluster
          example: My EKS Cluster
        qovery_cluster_cloud_provider:
          $ref: '#/components/schemas/CloudVendorEnum'
        qovery_cluster_type:
          $ref: '#/components/schemas/KubernetesEnum'
        applications_count:
          type: integer
          description: Number of ArgoCD applications targeting this destination
          example: 4
    ArgoCdUnlinkedClusterDetails:
      type: object
      required:
        - argocd_cluster_url
        - argocd_cluster_name
        - applications_count
      properties:
        argocd_cluster_url:
          type: string
          description: ArgoCD destination cluster URL for this stale mapping
          example: https://old-cluster.example.com
        argocd_cluster_name:
          type: string
          description: >-
            ArgoCD cluster name (currently same as URL; will use ArgoCD alias in
            future)
          example: https://old-cluster.example.com
        applications_count:
          type: integer
          description: Number of ArgoCD applications targeting this destination
          example: 0
    KubernetesEnum:
      type: string
      enum:
        - MANAGED
        - SELF_MANAGED
        - PARTIALLY_MANAGED
      default: MANAGED
  responses:
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````